Bug 194770 - [DRM][PATCH] constant stream of EDID/Connector messages from DRM
Summary: [DRM][PATCH] constant stream of EDID/Connector messages from DRM
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-02 19:54 UTC by Larry Rosenman
Modified: 2014-11-22 17:20 UTC (History)
1 user (show)

See Also:


Attachments
patch to move the messages under DRM_DEBUG_KMS (1.44 KB, patch)
2014-11-02 19:54 UTC, Larry Rosenman
no flags Details | Diff
one more message to move to debug (719 bytes, patch)
2014-11-15 04:17 UTC, Larry Rosenman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman freebsd_committer 2014-11-02 19:54:22 UTC
Created attachment 148959 [details]
patch to move the messages under DRM_DEBUG_KMS

Getting a constant stream of:
Oct 31 06:53:25 borg kernel: error: [drm:pid0:drm_do_get_edid] *ERROR* DVI-I-1:
+EDID block 0 invalid.
Oct 31 06:53:25 borg kernel: error: [drm:pid0:radeon_dvi_detect] *ERROR*
+DVI-I-1: probed a monitor but no|invalid EDID
Oct 31 06:53:25 borg kernel: error: [drm:pid0:drm_do_get_edid] *ERROR* DVI-I-1:
+EDID block 0 invalid.
Oct 31 06:53:25 borg kernel: error: [drm:pid0:radeon_dvi_detect] *ERROR*
+DVI-I-1: probed a monitor but no|invalid EDID
Oct 31 06:53:25 borg kernel: error: [drm:pid0:drm_do_get_edid] *ERROR* DVI-I-1:
+EDID block 0 invalid.

dumbbell@ suggested commenting them out, but I think we should patch it so that it's under debug. 

That's what this patch does.
Comment 1 Larry Rosenman freebsd_committer 2014-11-15 04:17:01 UTC
Created attachment 149429 [details]
one more message to move to debug

All but this message have been handled....
Comment 2 Larry Rosenman freebsd_committer 2014-11-15 16:54:01 UTC
Jean-Sebastien,
   can you add this?
Comment 3 commit-hook freebsd_committer 2014-11-16 17:54:07 UTC
A commit references this bug:

Author: dumbbell
Date: Sun Nov 16 17:53:48 UTC 2014
New revision: 274587
URL: https://svnweb.freebsd.org/changeset/base/274587

Log:
  drm/radeon: Lower priority of a message related to invalid EDID

  Like in r259717, the prority goes from "error" to "debug" to avoid
  spamming logs when the connectors are polled.

  PR:		194770
  Submitted by:	Larry Rosenman <ler@lerctr.org>
  MFC after:	1 week

Changes:
  head/sys/dev/drm2/radeon/radeon_connectors.c
Comment 4 Jean-Sébastien Pédron freebsd_committer 2014-11-16 18:13:27 UTC
Committed, thank you Larry!
Comment 5 commit-hook freebsd_committer 2014-11-22 17:20:25 UTC
A commit references this bug:

Author: dumbbell
Date: Sat Nov 22 17:19:40 UTC 2014
New revision: 274862
URL: https://svnweb.freebsd.org/changeset/base/274862

Log:
  drm: Lower priority of three messages related to invalid EDID

  Like in r259717, the prority goes from "error" to "debug" to avoid
  spamming logs when the connectors are polled.

  PR:		194770
  Submitted by:	Larry Rosenman <ler@lerctr.org>
  MFC of:		r273962, r274587

Changes:
_U  stable/10/
  stable/10/sys/dev/drm2/drm_edid.c
  stable/10/sys/dev/drm2/radeon/radeon_connectors.c